#!/bin/sh
# Copyright (C) 2008 vortexbox.org
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#

IFCONFIG=`which ifconfig 2>/dev/null||echo /sbin/ifconfig`
IPADDR=`$IFCONFIG eth0|gawk '/inet addr/{print $2}'|gawk -F: '{print $2}'`
IPADDR2=`$IFCONFIG eth1|gawk '/inet addr/{print $2}'|gawk -F: '{print $2}'`

echo ""
echo "Welcome to VortexBox"
echo "-------------------------------------------------"
echo ""
echo "For web access to your VortexBox web GUI use this URL"

if [ "$IPADDR" != "" ]; then
echo "http://$IPADDR";
else
    echo "eth0: Not installed";
fi
if [ "$IPADDR2" != "" ]; then
echo "http://$IPADDR2";
fi
echo ""

